/* Global */
.action.primary:hover,
.action.primary:focus, 
.action-primary:focus, 
.action.primary:active, 
.action-primary:active {
    background: var(--color-branding-secondary);
    border:  1px solid var(--color-branding-secondary);
    color: var(--color-branding-tertiary);
}

/* Weglot */

.top-ribbon-wrapper {
    background: #ffffff;
}

.top.ribbon {
    display: flex;
    width: calc(var(--width-content-max) - 2rem);
    max-width: var(--width-content-max-calc);
    margin: auto;
    justify-content: space-between;
    flex-direction: column;
    background: unset;
    z-index: 9999;
    position: relative;
}

.top.ribbon .right {
    position: relative;
    display: flex;
    gap: 2rem;
    justify-content: flex-end;
    margin-bottom: -2rem;
    right: -1rem;
    top: -5px;
}

button.action.secondary.primary.next-section {
    margin-top: 1rem;
}

.kit-add {
    text-align: center;
    margin-top: 2rem;
}

.kit-add button.action.primary {
    padding: 2rem 4rem;
    border-radius: 5rem;
}

@media only screen and (min-width: 768px) {
    .top.ribbon {
        flex-direction: row;
        justify-content: space-between;
        align-items: unset;
        margin-bottom: -2rem;
    }
}

/* Header */

.header.content .logo {
    max-width: 70%;
    margin: 0 0 1.5rem 0;
}

.logo img {
    max-width: 100%;
    max-height: unset;
}

.catalog-category-view header.page-header {
    margin-bottom: 0;
}

.minicart-wrapper {
    margin-top: 1.5rem;
}

@media only screen and (min-width: 768px) {

    .header.content .logo {
        margin: 2rem 0 1.5rem 0;
    }

}

/* Home page top banner */

.card.hp-top-banner {
    background: unset;
}

.hp-top-banner.inline-img.card .img {
    background: unset;
    min-height: unset;
    line-height: 0;
    margin: auto;
    width: calc(100% - 4rem);
}

.hp-top-banner h1 {
    margin-bottom: var(--spacing__vertical--1);
    font-weight: var(--font-weight-bold);
    color: var(--color-branding-secondary)
}

.hp-top-banner h1 span {
    display: block;
    font-size: var(--text-normal-size);
    text-transform: uppercase;
}

.hp-top-banner h1 span:after {
    content: '';
    width: 5.5em;
    border-bottom: 4px solid var(--color-branding-primary);
    display: block;
    margin-bottom: .5rem;
}

.hp-top-banner h2 {
    text-transform: uppercase;
}

@media only screen and (min-width: 768px) {

    .hp-top-banner img {
        border-radius: 1rem;
    }

    .card.hp-top-banner {
        margin: 0 auto;
        width: 124rem;
        max-width: var(--width-content-max-calc);
    }

    .card.hp-top-banner .copy {
        padding: 2rem;
    }

}

/* Home page */

.product-accordion, .starter-pack {
    max-width: 100rem;
    margin: auto;
}   

.starter-pack {
    margin: 4rem auto 2rem;
    border-top: 1px solid var(--color-mid-gray);
    padding: 2rem 0;
}

.starter-pack-content-wrapper {
    display: flex;
    gap: 2rem;
    align-items: center;
}

.headline-wrapper .icon svg {
    fill: var(--color-branding-primary);
    height: 2rem;
}

.headline-wrapper {
    display: flex;
    align-items: center;
    gap: .5rem;
}

.product-accordion h3,
.headline-wrapper h3 {
    margin: 0;
    color: var(--color-branding-secondary);
    text-transform: uppercase;
    line-height: 1;
    display: flex;
    align-items: center;
}


.product-accordion h3.copy-title,
.headline-wrapper h3 {
    font-size: var(--text-h3-size);
    font-weight: var(--font-weight-bold);
    text-transform: uppercase;
}

.product-accordion h3.copy-title {
    color: var(--color-branding-secondary);
}

.headline-wrapper h3 {
    color: var(--color-branding-primary);
}

.headline-wrapper h3 span,
.product-accordion h3 .title-status {
    font-size: var(--text-small-size);
    padding-left: 1rem;
    text-transform: capitalize;
    font-weight: normal;
}

.product-accordion .ui-accordion-content-active {
    margin-top: 1.5rem;
}

.warning,
.headline-wrapper sup {
    color: red;
}

.accordion-title {
    border-top: 1px solid var(--color-mid-gray);
    padding-top: 2rem;
    margin-top: 2rem;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
}


.accordion-icon {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    text-align: center;
    line-height: 2rem;
    font-weight: var(--font-weight-bold);
    font-size: 2rem;
    margin-left: 1rem;
    color: var(--color-text);
    cursor: pointer;
}

.ui-icon-circle-plus::before {
    content: "+";
}

.ui-icon-circle-minus::before {
    content: "−"; /* correct minus sign */
}
.makegreen .copy-title,
.makegreen .copy-title * {
    color: var(--color-branding-primary) !important;
    font-weight: var(--font-weight-bold);
}

.ri-products {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
    list-style: none;
    padding: 0;
    margin: 0;
}

.ri-product {
    border: 1px solid var(--color-mid-gray);
    padding: 1rem;
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
}

.ri-product a.open-modal {
    font-size: var(--text-small-size);
    display: block;
    margin-block-start: auto;
}

.ri-product.disabled {
    opacity: 0.5;
    pointer-events: none;
}

input.ri-select-product {
    position: absolute;
    left: 1rem;
    top: 1rem;
    height: 1.8rem;
    width: 1.8rem;
    border: 2px solid var(--color-branding-secondary);
    border-radius: .3rem;
}

input.ri-select-product {
    position: absolute;
    left: 1rem;
    top: 1rem;
    height: 1.8rem;
    width: 1.8rem;
    border-radius: .3rem;
}

.ri-qty {
    display: flex;
    gap: .5rem;
    justify-content: center;
    margin-top: 1rem;
}

input.qty-input {
    width: 4rem;
    text-align: center;
}

.ri-product-name {
    font-weight: var(--font-weight-bold);
    line-height: normal;
    margin-bottom: 1rem;
}

.product-modal {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.product-modal > div {
    flex: 1 1 0;
}

.long-description-item {
    width: unset;
    flex: auto;
    background: unset;
    padding: 0;
}

.long-description-item h2 {
    margin-top: 0;
    font-size: var(--text-h3-size);
}

.modal-popup.modal-slide .modal-inner-wrap[class] {
    background-color: #ffffff;
}

.modal-popup.modal-slide .modal-inner-wrap {
    margin: 0;
    max-height: unset;
}

@media only screen and (min-width: 768px) {

    aside.modal-popup.custom-modal.modal-slide._show {
        width: 80%;
        margin: auto;
        max-width: 100rem;
    }

    .product-modal {
        display: flex;
        align-items: center;
        flex-direction: row;
    }

    .ri-products {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    }

}

/* Footer */

.page-bottom {
    border-top: 1px solid var(--color-mid-gray);
    padding-top: 4rem;
}

@media only screen and (min-width: 768px) {

    .page-wrapper > .page-bottom {
        border-top: 1px solid var(--color-mid-gray);
        padding-top: 4rem;
        width: 100% !important;
        padding: 4rem 0;
        margin: 0;
        max-width: 100%;
    }

}

/* Success */

.checkout-onepage-success .card.inline-img {
    background: unset;
}

.checkout-onepage-success .card.inline-img {
    background: unset;
    border-bottom: 1px solid var(--color-mid-gray);
    padding-bottom: 2rem;
}

/* Cart page */

#shopping-cart-table .product-item-details {
    text-align: left;
}


/* CMS pages */

.cms-page-view h2 {
    font-weight: var(--font-weight-noraml);
}

/* Installation page */

.installation-index-index .gate {
    text-align: left;
    margin: 0  auto 0 0;
}

.installation-index-index label.label { 
    margin: 2rem 0 1rem;
    display: block;
}

.installation-index-index .gate {
    text-align: left;
    margin: 0  auto 0 0;
    max-width: 50rem;
}

.installation-index-index .gate form input, .gate form select {
    text-align: left;
}

.installation-index-index .fieldset .legend {
    margin: 0;
}

.installation-index-index .gate form input,
.installation-index-index .gate form select {
    height: 4.5rem;
    background: #fff;
    border: 1px solid #c2c2c2;
}

.installation-index-index .gate-address-wrapper {
    background: #f5f5f5;
    padding: 2.4rem 2.72rem;
    border: .1rem solid #ddd;
}

.installation-index-index h1.page-title {
    font-size: 2.6rem;
    margin: 3rem 0 2rem 0;
}

